Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.jigsaw.servlet
Class JigsawHttpServletResponse

    java.lang.Object
      |
      +--org.w3c.jigsaw.servlet.JigsawHttpServletResponse

public class JigsawHttpServletResponse
extends java.lang.Object
implements javax.servlet.http.HttpServletResponse

Field Summary
`static java.lang.String` | `INCLUDED`
`protected JigsawHttpServletRequest` | `jrequest`
`protected java.io.ByteArrayOutputStream` | `out` Our temp stream.

Method Summary
`void` | `addCookie(javax.servlet.http.Cookie cookie)` Adds the specified cookie to the response.
`boolean` | `containsHeader(java.lang.String header)` Checks whether the response message header has a field with the specified name.
`java.lang.String` | `encodeRedirectUrl(java.lang.String url)` Deprecated. since jsdk2.1
`java.lang.String` | `encodeRedirectURL(java.lang.String url)` Encodes the specified URL for use in the sendRedirect method or, if encoding is not needed, returns the URL unchanged.
`java.lang.String` | `encodeUrl(java.lang.String url)` Deprecated. since jsdk2.1
`java.lang.String` | `encodeURL(java.lang.String url)` Encodes the specified URL by including the session ID in it, or, if encoding is not needed, returns the URL unchanged.
`protected void` | `flushStream(boolean close)` Flush the output stream.
`java.lang.String` | `getCharacterEncoding()` Return the Charset parameter of content type
`protected javax.servlet.ServletOutputStream` | `getJigsawOutputStream()`
`javax.servlet.ServletOutputStream` | `getOutputStream()` Returns an output stream for writing binary response data.
`protected Reply` | `getReply()`
`java.io.PrintWriter` | `getWriter()` Returns a print writer for writing formatted text responses.
`protected boolean` | `isStreamObtained()`
`void` | `sendError(int i)` Sends an error response to the client using the specified status code and a default message.
`void` | `sendError(int i, java.lang.String msg)` Sends an error response to the client using the specified status code and descriptive message.
`void` | `sendRedirect(java.lang.String url)` Sends a temporary redirect response to the client using the specified redirect location URL.
`void` | `setContentLength(int i)` Sets the content length for this response.
`void` | `setContentType(java.lang.String spec)` Sets the content type for this response.
`void` | `setDateHeader(java.lang.String name, long date)` Adds a field to the response header with the given name and date-valued field.
`void` | `setHeader(java.lang.String name, java.lang.String value)` Adds a field to the response header with the given name and value.
`void` | `setIntHeader(java.lang.String name, int value)` Adds a field to the response header with the given name and integer value.
`protected void` | `setServletRequest(JigsawHttpServletRequest jrequest)`
`void` | `setStatus(int i)` Sets the status code for this response.
`void` | `setStatus(int i, java.lang.String reason)` Deprecated. since jsdk2.1
`void` | `unsetHeader(java.lang.String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### out

    protected java.io.ByteArrayOutputStream out

  Our temp stream.

### jrequest

    protected JigsawHttpServletRequest jrequest

### INCLUDED

    public static final java.lang.String INCLUDED

Method Detail

### setServletRequest

    protected void setServletRequest(JigsawHttpServletRequest jrequest)

### setContentLength

    public void setContentLength(int i)

  Sets the content length for this response.
  Parameters:
    `len` - - the content length

### setContentType

    public void setContentType(java.lang.String spec)

  Sets the content type for this response. This type may later be implicitly modified by addition of properties such as the MIME charset= if the service finds it necessary, and the appropriate media type property has not been set.

  This response property may only be assigned one time. If a writer is to be used to write a text response, this method must be called before the method getWriter. If an output stream will be used to write a response, this method must be called before the output stream is used to write response data.

  Parameters:
    `spec` - - the content's MIME type
  See Also:
    `getOutputStream()`, `getWriter()`

### isStreamObtained

    protected boolean isStreamObtained()

### getReply

    protected Reply getReply()

### getOutputStream

    public javax.servlet.ServletOutputStream getOutputStream()
                                                      throws java.io.IOException

  Returns an output stream for writing binary response data.
  Returns:
    A ServletOutputStream
  Throws:
    java.io.IOException - if an I/O exception has occurred
    java.lang.IllegalStateException - if getWriter has been called on this same request.
  See Also:
    `getWriter()`

### getJigsawOutputStream

    protected javax.servlet.ServletOutputStream getJigsawOutputStream()
                                                               throws java.io.IOException

### setStatus

    public void setStatus(int i,
                          java.lang.String reason)

  Deprecated. since jsdk2.1
  Sets the status code and message for this response. If the field had already been set, the new value overwrites the previous one. The message is sent as the body of an HTML page, which is returned to the user to describe the problem. The page is sent with a default HTML header; the message is enclosed in simple body tags (
  ).
  Specified by:
    setStatus in interface javax.servlet.http.HttpServletResponse
  Parameters:
    `i` - - the status code
    `reason` - - the status message

### setStatus

    public void setStatus(int i)

  Sets the status code for this response. This method is used to set the return status code when there is no error (for example, for the status codes SC_OK or SC_MOVED_TEMPORARILY). If there is an error, the sendError method should be used instead.
  Specified by:
    setStatus in interface javax.servlet.http.HttpServletResponse
  Parameters:
    `i` - - the status code
  See Also:
    `sendError(int, java.lang.String)`

### setHeader

    public void setHeader(java.lang.String name,
                          java.lang.String value)

  Adds a field to the response header with the given name and value. If the field had already been set, the new value overwrites the previous one. The containsHeader method can be used to test for the presence of a header before setting its value.
  Specified by:
    setHeader in interface javax.servlet.http.HttpServletResponse
  Parameters:
    `name` - - the name of the header field
    `value` - - the header field's value
  See Also:
    `containsHeader(java.lang.String)`

### setIntHeader

    public void setIntHeader(java.lang.String name,
                             int value)

  Adds a field to the response header with the given name and integer value. If the field had already been set, the new value overwrites the previous one. The containsHeader method can be used to test for the presence of a header before setting its value.
  Specified by:
    setIntHeader in interface javax.servlet.http.HttpServletResponse
  Parameters:
    `name` - - the name of the header field
    `value` - - the header field's integer value
  See Also:
    `containsHeader(java.lang.String)`

### setDateHeader

    public void setDateHeader(java.lang.String name,
                              long date)

  Adds a field to the response header with the given name and date-valued field. The date is specified in terms of milliseconds since the epoch. If the date field had already been set, the new value overwrites the previous one. The containsHeader method can be used to test for the presence of a header before setting its value.
  Specified by:
    setDateHeader in interface javax.servlet.http.HttpServletResponse
  Parameters:
    `name` - - the name of the header field
    `value` - - the header field's date value
  See Also:
    `containsHeader(java.lang.String)`

### unsetHeader

    public void unsetHeader(java.lang.String name)

### sendError

    public void sendError(int i,
                          java.lang.String msg)
                   throws java.io.IOException

  Sends an error response to the client using the specified status code and descriptive message. If setStatus has previously been called, it is reset to the error status code. The message is sent as the body of an HTML page, which is returned to the user to describe the problem. The page is sent with a default HTML header; the message is enclosed in simple body tags (
  ).
  Specified by:
    sendError in interface javax.servlet.http.HttpServletResponse
  Parameters:
    `sc` - - the status code
    `msg` - - the detail message
  Throws:
    java.io.IOException - If an I/O error has occurred.

### sendError

    public void sendError(int i)
                   throws java.io.IOException

  Sends an error response to the client using the specified status code and a default message.
  Specified by:
    sendError in interface javax.servlet.http.HttpServletResponse
  Parameters:
    `sc` - - the status code
  Throws:
    java.io.IOException - If an I/O error has occurred.

### sendRedirect

    public void sendRedirect(java.lang.String url)
                      throws java.io.IOException

  Sends a temporary redirect response to the client using the specified redirect location URL. The URL must be absolute (for example, https://hostname/path/file.html). Relative URLs are not permitted here.
  Specified by:
    sendRedirect in interface javax.servlet.http.HttpServletResponse
  Parameters:
    `url` - - the redirect location URL
  Throws:
    java.io.IOException - If an I/O error has occurred.

### containsHeader

    public boolean containsHeader(java.lang.String header)

  Checks whether the response message header has a field with the specified name.
  Specified by:
    containsHeader in interface javax.servlet.http.HttpServletResponse
  Parameters:
    `name` - - the header field name
  Returns:
    true if the response message header has a field with the specified name; false otherwise

### addCookie

    public void addCookie(javax.servlet.http.Cookie cookie)

  Adds the specified cookie to the response. It can be called multiple times to set more than one cookie.
  Specified by:
    addCookie in interface javax.servlet.http.HttpServletResponse
  Parameters:
    `cookie` - - the Cookie to return to the client

### encodeRedirectUrl

    public java.lang.String encodeRedirectUrl(java.lang.String url)

  Deprecated. since jsdk2.1
  Encodes the specified URL for use in the sendRedirect method or, if encoding is not needed, returns the URL unchanged. The implementation of this method should include the logic to determine whether the session ID needs to be encoded in the URL. Because the rules for making this determination differ from those used to decide whether to encode a normal link, this method is seperate from the encodeUrl method.

  All URLs sent to the HttpServletResponse.sendRedirect method should be run through this method. Otherwise, URL rewriting canont be used with browsers which do not support cookies.

  Specified by:
    encodeRedirectUrl in interface javax.servlet.http.HttpServletResponse
  Parameters:
    `url` - - the url to be encoded.
  Returns:
    the encoded URL if encoding is needed; the unchanged URL otherwise.
  See Also:
    `sendRedirect(java.lang.String)`, `encodeUrl(java.lang.String)`

### encodeRedirectURL

    public java.lang.String encodeRedirectURL(java.lang.String url)

  Encodes the specified URL for use in the sendRedirect method or, if encoding is not needed, returns the URL unchanged. The implementation of this method should include the logic to determine whether the session ID needs to be encoded in the URL. Because the rules for making this determination differ from those used to decide whether to encode a normal link, this method is seperate from the encodeUrl method.

  All URLs sent to the HttpServletResponse.sendRedirect method should be run through this method. Otherwise, URL rewriting canont be used with browsers which do not support cookies.

  Specified by:
    encodeRedirectURL in interface javax.servlet.http.HttpServletResponse
  Parameters:
    `url` - - the url to be encoded.
  Returns:
    the encoded URL if encoding is needed; the unchanged URL otherwise.
  See Also:
    `sendRedirect(java.lang.String)`, `encodeUrl(java.lang.String)`

### encodeUrl

    public java.lang.String encodeUrl(java.lang.String url)

  Deprecated. since jsdk2.1
  Encodes the specified URL by including the session ID in it, or, if encoding is not needed, returns the URL unchanged. The implementation of this method should include the logic to determine whether the session ID needs to be encoded in the URL. For example, if the browser supports cookies, or session tracking is turned off, URL encoding is unnecessary.

  All URLs emitted by a Servlet should be run through this method. Otherwise, URL rewriting cannot be used with browsers which do not support cookies.

  Specified by:
    encodeUrl in interface javax.servlet.http.HttpServletResponse
  Parameters:
    `url` - - the url to be encoded.
  Returns:
    the encoded URL if encoding is needed; the unchanged URL otherwise.

### encodeURL

    public java.lang.String encodeURL(java.lang.String url)

  Encodes the specified URL by including the session ID in it, or, if encoding is not needed, returns the URL unchanged. The implementation of this method should include the logic to determine whether the session ID needs to be encoded in the URL. For example, if the browser supports cookies, or session tracking is turned off, URL encoding is unnecessary.

  All URLs emitted by a Servlet should be run through this method. Otherwise, URL rewriting cannot be used with browsers which do not support cookies.

  Specified by:
    encodeURL in interface javax.servlet.http.HttpServletResponse
  Parameters:
    `url` - - the url to be encoded.
  Returns:
    the encoded URL if encoding is needed; the unchanged URL otherwise.

### getCharacterEncoding

    public java.lang.String getCharacterEncoding()

  Return the Charset parameter of content type
  Returns:
    A String instance

### getWriter

    public java.io.PrintWriter getWriter()
                                  throws java.io.IOException,
                                         java.io.UnsupportedEncodingException

  Returns a print writer for writing formatted text responses. The MIME type of the response will be modified, if necessary, to reflect the character encoding used, through the charset=... property. This means that the content type must be set before calling this method.
  Throws:
    java.io.UnsupportedEncodingException - if no such encoding can be provided
    java.lang.IllegalStateException - if getOutputStream has been called on this same request.
    java.io.IOException - on other errors.
  See Also:
    `getOutputStream()`, `setContentType(java.lang.String)`

### flushStream

    protected void flushStream(boolean close)
                        throws java.io.IOException

  Flush the output stream.
  Parameters:
    `close` - Close the stream if true.
  Throws:
    java.io.IOException - if an IO error occurs.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD